> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# On-Share

> This API receives the Token Generated by the facility.



## OpenAPI

````yaml post  /abdm/v1/hip/patient/profile/on-share
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v1/hip/patient/profile/on-share:
    post:
      description: This API receives the Token Generated by the facility.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScanandshareHipScanAndShareOnRequest'
      responses:
        '202':
          description: Accepted
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ScanandshareHipScanAndShareOnRequest:
      properties:
        abha_address:
          description: Abha address of the patient.
          type: string
        error:
          $ref: '#/components/schemas/CommonsError'
          description: Error details, if any occurred during the process.
        hip_code:
          description: Counter id at the facility
          type: string
        request_id:
          description: Request ID that is received in the webhook call.
          type: string
        token:
          $ref: '#/components/schemas/ScanandshareToken'
          description: Token details.
      required:
        - request_id
        - abha_address
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    CommonsError:
      properties:
        code:
          description: Error code indicating the type of error
          type: integer
        message:
          description: Detailed error message
          type: string
      type: object
    ScanandshareToken:
      properties:
        expires_at:
          description: Token expiry time
          type: integer
        token_number:
          description: Token number
          type: string
      required:
        - token_number
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````